Subject: bug#14957: 24.3.50; Flyspell language visible in mode line

From: Sebastien Vauban <[email-masked]>
Date: Fri, 26 Jul 2013 14:59:29 +0200

Hello,

Here is a feature request. Being forced to write evenly in two different
languages (French, my mother tongue, and English), I very often am
editing a buffer not being sure of which dictionary is currently used by
Ispell/Flyspell.

I think it'd be great to see the language next to "Fly" in the mode
line. For example, something such as "Fly[FR]" or "Fly[EN]".

Of course, it would be good to have a default mapping between the long
dictionary names, and what must go in the mode line, so that we can
write the language in a couple of letters (maybe up to "Fly[en_US]" to
cover the corner case of the "dialects").

Best regards,
Seb